package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.meapi.dto.OperationDto;
import com.foreverwin.mesnac.meapi.model.NcGroup;
import com.foreverwin.mesnac.meapi.model.Operation;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author robert
 * @since 2021-06-23
 */
public interface NcGroupService extends IService<NcGroup> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<NcGroup> selectPage(FrontPage<NcGroup> frontPage, NcGroup ncGroup);

    List<NcGroup> selectList(NcGroup ncGroup);

    List<NcGroup> selectPageByOperation(OperationDto operation);


    List<NcGroup> findNgGroupByOperationBo(Operation operation);

    List<NcGroup> selectPageByOperationNoPage(String operation);
}